import { Application } from "express";
import { Container } from "inversify";
import { ApiApp, AppConfig } from "typescript-lambda-api";
/**
 * Simple console application that hosts an express HTTP
 * server.
 *
 * A request is mapped from the HTTP request to the ApiServer
 * event format, a ApiServer instance then processes the request.
 * The ApiServer response is mapped to a standard HTTP response and
 * returned to the express client.
 */
export declare class ApiConsoleApp extends ApiApp {
    private static readonly APP_OPTIONS;
    protected readonly controllersPath: string;
    protected readonly expressApp: Application;
    constructor(controllersPath: string, appConfig?: AppConfig, appContainer?: Container);
    /**
     * Starts the express server.
     *
     * @param args Command line arguments for this server, see --help for more info.
     */
    run(args: string[]): Promise<void>;
    private parseArguments;
    private handleHttpRequest;
    private mapRequestToApiEvent;
    private forwardApiResponse;
}
